This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 629855 - asterisk-ldap-fds-1.6.2.12-0.1.rc1 contains improperly formatted 99asterisk.ldif file
asterisk-ldap-fds-1.6.2.12-0.1.rc1 contains improperly formatted 99asterisk.l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 02:35 EDT by Anthony Messina
Modified: 2011-10-10 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: asterisk-1.8.6.0-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-03 14:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
With extraneous empty lines removed, 389DS will load the LDIF (11.54 KB, patch)
2011-06-04 03:55 EDT, Anthony Messina
no flags Details | Diff

  None (edit)
Description Anthony Messina 2010-09-03 02:35:20 EDT
After the upgrade to asterisk-ldap-fds-1.6.2.12-0.1.rc1, I noticed the 99asterisk.ldif file had some seemingly minor syntactic changes.

In attempting to load them into my 389 DS (389-ds-base-1.2.6-0.11.rc7.fc13), I received the following errors (only a few shown):

[03/Sep/2010:01:00:27 -0500] dse - The entry cn=schema in file /etc/dirsrv/slapd-ds/schema/99asterisk.ldif is invalid, error code 21 (Invalid syntax) - Missing name (OID is "")                               
[03/Sep/2010:01:00:27 -0500] - str2entry_dupcheck: entry has no dn
[03/Sep/2010:01:00:27 -0500] dse - parsing dse entry [  NAME 'AstContext' DESC 'Asterisk Context' EQUALITY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 )]
[03/Sep/2010:01:00:27 -0500] - str2entry_dupcheck: entry has no dn
[03/Sep/2010:01:00:27 -0500] dse - parsing dse entry [  NAME 'AstExtension' DESC 'Asterisk Extension' EQUALITY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 )]


The errors continued for each iterated attribute or objectclass.

Apparently, there cannot be an empty line after:

attributeTypes: (

OR

objectClasses: (

Removing the empty lines allowed the server to restart and properly import 99asterisk.ldif
Comment 1 Bug Zapper 2011-05-31 10:36:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Anthony Messina 2011-06-04 01:40:44 EDT
This continues to be an issue in Fedora 15.
Comment 3 Jeffrey C. Ollie 2011-06-04 01:49:57 EDT
Can you attach a corrected copy of the file to the bug?
Comment 4 Anthony Messina 2011-06-04 03:55:02 EDT
Created attachment 502957 [details]
With extraneous empty lines removed, 389DS will load the LDIF
Comment 5 Anthony Messina 2011-07-01 16:24:43 EDT
Any update on this bug/patch?
Comment 6 Jeffrey C. Ollie 2011-07-01 16:58:08 EDT
Hmm, did I forget to update the package?  I'll try and remember to get this in the next round.
Comment 7 Anthony Messina 2011-07-01 17:16:18 EDT
http://pkgs.fedoraproject.org/gitweb/?p=asterisk.git;a=blob;f=0006-Add-LDAP-schema-that-is-compatible-with-Fedora-Direc.patch;h=aa56990d4b787118f2af873357a0b9677d56a171;hb=HEAD

Still contains an empty line after the attributeTypes declaration.  389 doesnt line empty lines within declarations, I've come to find out.


  20 +attributeTypes: (
  21 +
  22 +  NAME 'AstContext'
Comment 9 Fedora Update System 2011-09-20 16:21:00 EDT
asterisk-1.8.6.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.fc16
Comment 10 Fedora Update System 2011-09-20 16:25:14 EDT
asterisk-1.8.6.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.fc15
Comment 11 Fedora Update System 2011-09-20 16:26:07 EDT
asterisk-1.8.6.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.el6
Comment 12 Fedora Update System 2011-09-20 16:51:02 EDT
asterisk-1.6.2.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/asterisk-1.6.2.20-1.fc14
Comment 13 Fedora Update System 2011-09-21 18:15:05 EDT
Package asterisk-1.8.6.0-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing asterisk-1.8.6.0-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/asterisk-1.8.6.0-4.fc16
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-10-03 14:09:03 EDT
asterisk-1.8.6.0-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-10-03 19:56:49 EDT
asterisk-1.8.6.0-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-10-03 19:57:53 EDT
asterisk-1.6.2.20-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-10-10 22:05:05 EDT
asterisk-1.8.6.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.